Bug 15686 - Rename "item level holds" circ rule column to "OPAC item level holds"
Summary: Rename "item level holds" circ rule column to "OPAC item level holds"
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lisette Scheer
QA Contact: Katrin Fischer
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2016-01-27 23:42 UTC by HB-NEKLS
Modified: 2020-01-20 16:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 15686 - Rename "item level holds" circ rule column to "OPAC item level holds" (1.82 KB, patch)
2020-01-14 16:54 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 15686 - Rename "item level holds" circ rule column to "OPAC item level holds" (1.86 KB, patch)
2020-01-14 17:24 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 15686 - Rename "item level holds" circ rule column to "OPAC item level holds" (1.91 KB, patch)
2020-01-14 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description HB-NEKLS 2016-01-27 23:42:36 UTC
Bug 5786 moved the OPACItemHolds sys pref setting to the Circulation Rules table. However, the naming of the new circ rules column is quite confusing. It is called "Item level holds" which makes it sound like this setting controls the item level holds placing from anywhere in the system (staff and OPAC sides)

Instead, the setting only affects item level hold placing from the OPAC side. 

Should this column then be renamed to "OPAC item level holds"?, so it's not so confusing?
Comment 1 Katrin Fischer 2016-08-28 12:25:52 UTC
Hi George, feel free to submit a patch doing this! :)
Comment 2 delaye 2017-06-23 14:09:46 UTC
In the Circulation Rule, "Item level holds" works only in 'All location'..In the OPAC don't works in th erule of a location.For me it's logic but for the librian, this column in the table is disturbing.
I prefer before with the systeme preference

why this change?...
Comment 3 Katrin Fischer 2020-01-08 23:15:10 UTC
(In reply to delaye from comment #2)
> In the Circulation Rule, "Item level holds" works only in 'All location'..In
> the OPAC don't works in th erule of a location.For me it's logic but for the
> librian, this column in the table is disturbing.
> I prefer before with the systeme preference
> 
> why this change?...

I don't believe this is true (anymore). But it will use the strictest rule if you have multiple items with different itemtypes on one record, so if you have one item with an itemtype that forces item level, it will do that. 

I think renaming is a good idea still.
Comment 4 Lisette Scheer 2020-01-14 16:54:05 UTC
Created attachment 97359 [details] [review]
Bug 15686 - Rename "item level holds" circ rule column to "OPAC item level holds"

This patch changes the column heading on smart-rules.pl to indicate that it only effects item level holds on the OPAC side, rather than the intranet. 
To test: 
1. Go to Administration, circulation and fine rules. 
2. Observe incorrect heading on both the top and bottom of the table. 
3. Apply the patch. 
4. Repeat step 1. 
5. Observe new headings.
Comment 5 Liz Rea 2020-01-14 17:24:44 UTC
Created attachment 97364 [details] [review]
Bug 15686 - Rename "item level holds" circ rule column to "OPAC item level holds"

This patch changes the column heading on smart-rules.pl to indicate that it only effects item level holds on the OPAC side, rather than the intranet.
To test:
1. Go to Administration, circulation and fine rules.
2. Observe incorrect heading on both the top and bottom of the table.
3. Apply the patch.
4. Repeat step 1.
5. Observe new headings.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 6 Katrin Fischer 2020-01-14 21:31:18 UTC
Created attachment 97370 [details] [review]
Bug 15686 - Rename "item level holds" circ rule column to "OPAC item level holds"

This patch changes the column heading on smart-rules.pl to indicate that it only effects item level holds on the OPAC side, rather than the intranet.
To test:
1. Go to Administration, circulation and fine rules.
2. Observe incorrect heading on both the top and bottom of the table.
3. Apply the patch.
4. Repeat step 1.
5. Observe new headings.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2020-01-20 16:34:16 UTC
Nice work everyone!

Pushed to master for 20.05